<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: timlCNNTrainingParams Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">timlCNNTrainingParams Struct Reference<div class="ingroups"><a class="el" href="group__cnn.html">cnn</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae54e9bf53e695070047e6fe4711d42e2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNTrainingParams.html#ae54e9bf53e695070047e6fe4711d42e2">count</a></td></tr>
<tr class="separator:ae54e9bf53e695070047e6fe4711d42e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a178b8209f9a6050cc54f15da80acdf04"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNTrainingParams.html#a178b8209f9a6050cc54f15da80acdf04">batchCount</a></td></tr>
<tr class="separator:a178b8209f9a6050cc54f15da80acdf04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c02933b3f59a4b7086c9446e0d67297"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNTrainingParams.html#a8c02933b3f59a4b7086c9446e0d67297">epoch</a></td></tr>
<tr class="separator:a8c02933b3f59a4b7086c9446e0d67297"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9667413622639cda823792c595e7ac69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9667413622639cda823792c595e7ac69"></a>
timlUtilPhase&#160;</td><td class="memItemRight" valign="bottom"><b>phase</b></td></tr>
<tr class="separator:a9667413622639cda823792c595e7ac69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e95e142fb55882eb3c4022f67a57952"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e95e142fb55882eb3c4022f67a57952"></a>
<a class="el" href="group__util.html#ga62247c3acaa170e3a75f9887ec21106f">timlUtilAllocatorLevel</a>&#160;</td><td class="memItemRight" valign="bottom"><b>allocatorLevel</b></td></tr>
<tr class="separator:a0e95e142fb55882eb3c4022f67a57952"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92c1f02fac7360a8aa865736f27b684a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNTrainingParams.html#a92c1f02fac7360a8aa865736f27b684a">batchSize</a></td></tr>
<tr class="separator:a92c1f02fac7360a8aa865736f27b684a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a779325dc2978274d5c087ad5df3028d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a779325dc2978274d5c087ad5df3028d4"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>momentum</b></td></tr>
<tr class="separator:a779325dc2978274d5c087ad5df3028d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6c5a8c733b98ab8fcb190c758cb079a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6c5a8c733b98ab8fcb190c758cb079a"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>learningRate</b></td></tr>
<tr class="separator:ad6c5a8c733b98ab8fcb190c758cb079a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a537537fc5159a98fc2780a1199c2eaf7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a537537fc5159a98fc2780a1199c2eaf7"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>weightDecay</b></td></tr>
<tr class="separator:a537537fc5159a98fc2780a1199c2eaf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7037ed9b5aa77cb921f21fa338abf26e"><td class="memItemLeft" align="right" valign="top">timlUtilCostFunctionType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNTrainingParams.html#a7037ed9b5aa77cb921f21fa338abf26e">costType</a></td></tr>
<tr class="separator:a7037ed9b5aa77cb921f21fa338abf26e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a178b8209f9a6050cc54f15da80acdf04"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNTrainingParams::batchCount</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>batch count </p>

</div>
</div>
<a class="anchor" id="a92c1f02fac7360a8aa865736f27b684a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNTrainingParams::batchSize</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>how many samples do we process until we update the parameters </p>

</div>
</div>
<a class="anchor" id="a7037ed9b5aa77cb921f21fa338abf26e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">timlUtilCostFunctionType timlCNNTrainingParams::costType</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>how to evaluate the cost with output of the cnn </p>

</div>
</div>
<a class="anchor" id="ae54e9bf53e695070047e6fe4711d42e2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNTrainingParams::count</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>data count </p>

</div>
</div>
<a class="anchor" id="a8c02933b3f59a4b7086c9446e0d67297"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNTrainingParams::epoch</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>how many iterations we need to run through the whole database </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="timlCNN_8h_source.html">timlCNN.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
